Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.model.gena
Enum CancelReason

    java.lang.Object
      java.lang.Enum<CancelReason>
          org.teleal.cling.model.gena.CancelReason

All Implemented Interfaces:
  Serializable, Comparable<CancelReason>

    public enum CancelReason

extends Enum<CancelReason>

Enum Constant Summary
`DEVICE_WAS_REMOVED`
`EXPIRED`
`LOCAL_CALLBACK_CREATION_FAILED`
`RENEWAL_FAILED`
`SHUTDOWN`
`UNSUBSCRIBE_FAILED`

Method Summary
`static CancelReason` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CancelReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RENEWAL_FAILED

    public static final CancelReason RENEWAL_FAILED

### DEVICE_WAS_REMOVED

    public static final CancelReason DEVICE_WAS_REMOVED

### UNSUBSCRIBE_FAILED

    public static final CancelReason UNSUBSCRIBE_FAILED

### LOCAL_CALLBACK_CREATION_FAILED

    public static final CancelReason LOCAL_CALLBACK_CREATION_FAILED

### EXPIRED

    public static final CancelReason EXPIRED

### SHUTDOWN

    public static final CancelReason SHUTDOWN

Method Detail

### values

    public static CancelReason[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CancelReason c : CancelReason.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CancelReason valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.